<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <div>
        <label>texto</label>
        <textarea name="texto" id="texto" rows="5" cols="30"></textarea>
        <input type="button" value="Continuar" id="continuar">
        <input type="button" value="Fin" id="fin">
    </div>
    <div id="mostrar"></div>

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        $(document).ready(function(){
            var texto = "";
          $("#continuar").click(function(){
              texto = texto + ' '+ $("#texto").val();
              $("#texto").val("");
          })
          $("#fin").click(function(){
              $("#mostrar").text(texto)
          })
        })
    </script>
</body>
</html>